FLUA(1)

NAME
flua - Lua interpreter for the FreeBSD base system

SYNOPSIS
flua [-EWiv] [-e string] [-l module] [-l g=module] [script [args]] [--] [-]

DESCRIPTION
flua is a minimal Lua interpreter integrated into the FreeBSD base system. It is derived from Lua 5.4 with modifications to suit the needs of FreeBSD build infrastructure and system tooling. flua is intended for internal use within the base system and is not designed for general-purpose scripting or use by third-party applications.

Unlike full Lua installations provided by the Ports Collection, flua has a reduced feature set and is limited to meeting the requirements of base system environments such as the bootloader.

USAGE
flua is typically invoked internally by FreeBSD base system tools and build scripts. While it accepts Lua source files and arguments in a standard fashion, its limited environment and module support make it unsuitable for general scripting use.

INCLUDED MODULES
flua includes a subset of functionality from a small number of standard Lua modules as well as bespoke modules necessary for the base system:

•   lfs (LuaFileSystem) – file attribute and directory manipulation

•   lposix - basic POSIX system calls

•   freebsd.kenv(3lua)

•   freebsd.sys.linker(3lua)

•   hash(3lua)

•   jail(3lua)

NOTES
flua should not be used as a replacement for lua(1) from the Ports Collection (e.g., lang/lua54) as it may be modified or updated to a newer Lua version in the future without retaining backwards compatibility.

SEE ALSO
freebsd.kenv(3lua), freebsd.sys.linker(3lua), hash(3lua), jail(3lua), style.lua(9)

HISTORY
flua first appeared in FreeBSD 14.0.